Skip to content
Docs

Upload a cert

PUThttps://api.vercel.com/v8/certs
Upload a cert
https://api.vercel.com/v8/certs
const response = await fetch('https://api.vercel.com/v8/certs?teamId=string&slug=string', {
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"ca": "string",
"key": "string",
"cert": "string",
"skipValidation": "true"
}),
});
const data = await response.json();
console.log(data);
Response
{
"id": "icfg_1234567890",
"createdAt": "123",
"expiresAt": "123",
"autoRenew": "false",
"cns": []
}
AuthorizationbearerToken

Default authentication mechanism

teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
castringRequired
The certificate authority
keystringRequired
The certificate key
certstringRequired
The certificate
skipValidationbooleanOptional
Skip validation of the certificate
200Success
idstringRequired
createdAtnumberRequired
expiresAtnumberRequired
autoRenewbooleanRequired
cnsarrayRequired
400One of the provided values in the request body is invalid.
401The request is not authorized.
402This feature is only available for Enterprise customers.
403You do not have permission to access this resource.
410Error